MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025536Community[OCCT] OCCT:Application Frameworkpublic2014-11-28 15:022017-09-29 16:25
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0025536: XmlMDataXtd_GeometryDriver doesn't support TDataXtd_SPLINE, TDataXtd_PLANE and TDataXtd_CYLINDER.
DescriptionIt will throw exception if there are spline, plane or cylinder faces.
Steps To ReproduceAdded tests/caf/bug25536
TagsNo tags attached.
Test case numberbugs caf bug25536
Attached Files

- Relationships

-  Notes
(0066574)
git (administrator)
2017-05-25 13:12

Branch CR25536 has been created by mpv.

SHA-1: 3c1f08377f14ceff2a8580e746b3acbd99f9ef51


Detailed log of new commits:

Author: mpv
Date: Thu May 25 13:11:50 2017 +0300

    0025536: XmlMDataXtd_GeometryDriver doesn't support TDataXtd_SPLINE, TDataXtd_PLANE and TDataXtd_CYLINDER.
    
    Added support of the missed geometrical types into the XML driver.
(0066576)
mpv (developer)
2017-05-25 13:13

Please, review branch CR25536.
(0066594)
szy (administrator)
2017-05-25 16:11

Reviewed.
(0066613)
git (administrator)
2017-05-25 18:55

Branch CR25536 has been updated forcibly by apv.

SHA-1: b8292f8e0f7189795db07424909dbcc16e821b56
(0066614)
apv (tester)
2017-05-25 18:57

Branch CR25536 has been rebased on the IR-2017-05-25
(0066645)
apv (tester)
2017-05-26 15:16
edited on: 2017-05-26 15:16

Dear BugMaster,

Branch CR25536 from occt git-repository (and IR-2017-05-25 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b8292f8e0f7189795db07424909dbcc16e821b56

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1186

Regressions/Differences:
Not detected

Testing cases:
bugs caf bug25536 - OK
http://occt-tests/CR25536-IR-2017-05-25-OCCT/Debian70-64/bugs/caf/bug25536.html [^]
http://occt-tests/CR25536-IR-2017-05-25-OCCT/Windows-64-VC10/bugs/caf/bug25536.html [^]

Testing on Linux:
Total MEMORY difference: 92078387 / 91664341 [+0.45%]
Total CPU difference: 18595.280000000203 / 18661.210000000345 [-0.35%]

Testing on Windows:
Total MEMORY difference: 58454074 / 58426283 [+0.05%]
Total CPU difference: 17259.872639498808 / 17319.43382129878 [-0.34%]

(0066646)
apv (tester)
2017-05-26 15:17

Dear BugMaster,

Please integrate branch CR25536 into the occt git-repository master.
(0067000)
git (administrator)
2017-06-02 10:46

Branch CR25536 has been deleted by inv.

SHA-1: b8292f8e0f7189795db07424909dbcc16e821b56

- Related Changesets
occt: master 354c94b7
Timestamp: 2017-05-25 10:11:50
Author: mpv
Committer: bugmaster
Details ] Diff ]
0025536: XmlMDataXtd_GeometryDriver doesn't support TDataXtd_SPLINE, TDataXtd_PLANE and TDataXtd_CYLINDER.

Added support of the missed geometrical types into the XML driver.
mod - src/XmlMDataXtd/XmlMDataXtd_GeometryDriver.cxx Diff ] File ]
add - tests/bugs/caf/bug25536 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-28 15:02 Vico Liang New Issue
2014-11-28 15:02 Vico Liang Assigned To => szy
2015-12-15 14:06 abv Target Version 7.0.0 => 7.1.0
2016-02-17 18:18 szy Assigned To szy => mpv
2016-10-25 16:08 mpv Target Version 7.1.0 => 7.2.0
2017-05-25 13:12 git Note Added: 0066574
2017-05-25 13:13 mpv Note Added: 0066576
2017-05-25 13:13 mpv Assigned To mpv => szy
2017-05-25 13:13 mpv Status new => resolved
2017-05-25 13:13 mpv Steps to Reproduce Updated View Revisions
2017-05-25 16:11 szy Note Added: 0066594
2017-05-25 16:11 szy Assigned To szy => bugmaster
2017-05-25 16:11 szy Status resolved => reviewed
2017-05-25 16:48 apv Assigned To bugmaster => apv
2017-05-25 18:55 git Note Added: 0066613
2017-05-25 18:57 apv Note Added: 0066614
2017-05-26 15:11 apv Test case number => bugs caf bug25536
2017-05-26 15:16 apv Note Added: 0066645
2017-05-26 15:16 apv Assigned To apv => bugmaster
2017-05-26 15:16 apv Status reviewed => tested
2017-05-26 15:16 apv Note Edited: 0066645 View Revisions
2017-05-26 15:17 apv Note Added: 0066646
2017-06-02 10:28 bugmaster Changeset attached => occt master 354c94b7
2017-06-02 10:28 bugmaster Status tested => verified
2017-06-02 10:28 bugmaster Resolution open => fixed
2017-06-02 10:46 git Note Added: 0067000
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker